nodeway-helloworld
==================
```js
class HelloWorld extends Nodeway {
    on(eventName, fn) { ... }              // Nodeway中定义
    emit(eventName, ...args) { ... }       // Nodeway中定义
    static get onlineUsers() { ... }       // Nodeway中定义
    static get onlineCount() { ... }       // Nodeway中定义
    broadcast(eventName, ...args) { ... }  // Nodeway中定义
    async say(message) { ... }
}

module.exports = HelloWorld;
```
on()
----
```js
var api = new HelloWorld;
api.on('data', console.log);
```
emit()
------
```js
api.emit('data', 'Hello World!');
```
static get onlineUsers()
------------------------
```js
let onlineUsers = HelloWorld.onlineUsers;
```
static get onlineCount()
------------------------
```js
let onlineCount = HelloWorld.onlineCount;
```
broadcast()
-----------
```js
api.broadcast('data', 'Hello World!');
```
say()
-----
```js
try {
    let message = await api.say('Hello Nodejs!');
    console.log(message);
}
catch(e) {}
```
## License

MIT © [May xiaoya zhang](john.zhang@yishizhencang.com)
